!+ Subroutine to rescale the asymmetry.
!
! Method:
!	The standard rescaling of the asymmetry is used.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	Version		Date			Comment
!	1.0		12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77  with extensions listed in documentation.
!
!- ---------------------------------------------------------------------
      SUBROUTINE RESCALE_ASYMMETRY(N_PROFILE
     &   , I_LAYER_FIRST, I_LAYER_LAST
     &   , ASYMMETRY, FORWARD_SCATTER
     &   )
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/dimensions_field.ucf'
!
!     DUMMY ARGUMENTS.
      INTEGER	!, INTENT(IN)
     &     N_PROFILE
!             NUMBER OF PROFILES
     &   , I_LAYER_FIRST
!             FIRST LAYER TO RESCALE
     &   , I_LAYER_LAST
!             LAST LAYER TO RESCALE
      REAL*8	!, INTENT(IN)
     &     FORWARD_SCATTER(NPD_PROFILE, NPD_LAYER)
!             FORWARD SCATTERING
      REAL*8	!, INTENT(INOUT)
     &     ASYMMETRY(NPD_PROFILE, NPD_LAYER)
!             ASYMMETRY
!
!     LOCAL VARIABLES.
      INTEGER
     &     I
!             LOOP VARIABLE
     &   , L
!             LOOP VARIABLE
!
!
!
      DO I=I_LAYER_FIRST, I_LAYER_LAST
         DO L=1, N_PROFILE
            ASYMMETRY(L, I)=(ASYMMETRY(L, I)-FORWARD_SCATTER(L, I))
     &         /(1.0D+00-FORWARD_SCATTER(L, I))
         ENDDO
      ENDDO
!
!
      RETURN
      END
